%define build_id3 1
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary:	A CD player and ripper/MP3-encoder front-end
Name:		grip
Epoch:		1
Version:	4.2.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Players
URL:		https://sourceforge.net/projects/grip/
Source0:	https://prdownloads.sourceforge.net/grip/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	imagemagick
BuildRequires:	gettext-devel
Requires:	vorbis-tools
BuildRequires:	libcdda-devel
%if %build_id3
BuildRequires:	libid3-devel
%endif

%description
A GTK+-based CD player and ripper. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers
(such as cdda2wav). It also provides an automated frontend for various
encoders, letting you take a disc and transform it easily straight
into Vorbis, FLAC or MP3 format (MP3 only with a separate MP3 encoder).
The CDDB protocol is supported for retrieving track information from
disc database servers. Grip works with DigitalDJ to provide a unified
"computerized" version of your music collection.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -std=gnu17"
# fix build on aarch64
autoreconf -vfi

%configure \
  --disable-werror \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make_build

%install
%makeinstall
#We don't need the file in both places
rm -rf %{buildroot}/%{_datadir}/apps/solid/actions

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS CREDITS README ChangeLog TODO  
%{_bindir}/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/grip.png
%{_datadir}/pixmaps/griptray.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/solid/actions/%{name}-audiocd.desktop
%license COPYING*


%changelog
* Thu May 15 2025 ns80 <ns80> 1:4.2.4-2.mga10
+ Revision: 2183632
- try to fix building with GCC 15

* Mon Nov 28 2022 solbu <solbu> 1:4.2.4-1.mga9
+ Revision: 1912190
- New release: 4.2.4

* Thu Mar 31 2022 umeabot <umeabot> 1:4.2.3-2.mga9
+ Revision: 1837024
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 solbu <solbu> 1:4.2.3-1.mga9
+ Revision: 1743758
- New version: 4.2.3

* Wed Jul 07 2021 solbu <solbu> 1:4.2.2-1.mga9
+ Revision: 1735116
- New release: 4.2.2

* Sun May 30 2021 solbu <solbu> 1:4.2.1-1.mga9
+ Revision: 1728909
- New release: 4.2.1

* Tue Jul 14 2020 solbu <solbu> 1:4.2.0-1.mga8
+ Revision: 1605842
- New release: 4.2.0

* Sun Mar 08 2020 solbu <solbu> 1:4.1.1-1.mga8
+ Revision: 1554928
- New release: 4.1.1

* Thu Feb 20 2020 umeabot <umeabot> 1:4.1.0-2.mga8
+ Revision: 1546705
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 solbu <solbu> 1:4.1.0-1.mga8
+ Revision: 1486992
- Add missing BuildRequires
- New version: 4.1.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 03 2019 solbu <solbu> 1:4.0.1-1.mga8
+ Revision: 1464098
- New release: 4.0.1

* Sat Oct 05 2019 solbu <solbu> 1:4.0.0-1.mga8
+ Revision: 1449393
- New version: 4.0.0

* Sat Aug 17 2019 solbu <solbu> 1:3.10.2-1.mga8
+ Revision: 1429616
- Fix build: Disable werror
- New version: 3.10.2

* Sun Feb 24 2019 solbu <solbu> 1:3.10.1-3.mga7
+ Revision: 1369775
- New version: 3.10.1

* Mon Jan 07 2019 solbu <solbu> 1:3.10.0-3.mga7
+ Revision: 1350842
- New version: 3.10.0

* Sun Sep 23 2018 umeabot <umeabot> 1:3.9.0-3.mga7
+ Revision: 1298078
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 wally <wally> 1:3.9.0-2.mga7
+ Revision: 1243991
- fix build on aarch64

* Mon Jul 16 2018 solbu <solbu> 1:3.9.0-1.mga7
+ Revision: 1243806
- New version: 3.9.0

* Fri Jun 01 2018 solbu <solbu> 1:3.8.1-1.mga7
+ Revision: 1233404
- New release: 3.8.1

* Sun May 13 2018 solbu <solbu> 1:3.8.0-1.mga7
+ Revision: 1228699
- New release: 3.8.0

* Wed Apr 25 2018 solbu <solbu> 1:3.7.1-1.mga7
+ Revision: 1222418
- New version: 3.7.1

* Tue Mar 20 2018 solbu <solbu> 1:3.7.0-1.mga7
+ Revision: 1210525
- New release: 3.7.0

* Sun Feb 04 2018 solbu <solbu> 1:3.6.3-1.mga7
+ Revision: 1198779
- New version: 3.6.3

* Wed Nov 29 2017 solbu <solbu> 1:3.6.2-1.mga7
+ Revision: 1180243
- New version: 3.6.2

* Wed Oct 04 2017 solbu <solbu> 1:3.6.1-1.mga7
+ Revision: 1168655
- New version: 3.6.1

* Tue Oct 03 2017 solbu <solbu> 1:3.6.0-1.mga7
+ Revision: 1167958
- New version: 3.6.0

* Sat Aug 05 2017 solbu <solbu> 1:3.5.2-1.mga7
+ Revision: 1135092
- New version: 3.5.2

* Sat Jul 29 2017 solbu <solbu> 1:3.5.0-1.mga7
+ Revision: 1132481
-New version: 3.5.0
- Remove no longer needed stuff in spec

* Mon Jul 17 2017 solbu <solbu> 1:3.4.3-1.mga7
+ Revision: 1124264
- Drop no longer needed build setup configuration
- New version: 3.4.3

* Sun May 28 2017 solbu <solbu> 1:3.4.1-1.mga6
+ Revision: 1105383
- New version: 3.4.1

* Mon Apr 17 2017 solbu <solbu> 1:3.4.0-1.mga6
+ Revision: 1096606
- Reenable id3-devel
- New version: 3.4.0

* Sun Apr 02 2017 solbu <solbu> 1:3.3.5-1.mga6
+ Revision: 1095697
- New version: 3.3.5

* Tue Jan 03 2017 solbu <solbu> 1:3.3.3-1.mga6
+ Revision: 1080018
- New version: 3.3.3

* Sun Jan 01 2017 solbu <solbu> 1:3.3.2-1.mga6
+ Revision: 1078972
- New version: 3.3.2
- New upstream URL
- Drop patches: Merged upstream
- Drop Source2, 3 and 4: Merged upstream

* Tue Feb 09 2016 umeabot <umeabot> 1:3.3.1-26.mga6
+ Revision: 952280
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 alexl <alexl> 1:3.3.1-25.mga5
+ Revision: 814015
- updated Russian translation
- increased minimal window width

* Wed Jan 07 2015 alexl <alexl> 1:3.3.1-24.mga5
+ Revision: 809003
- updated desktop file

* Fri Jan 02 2015 alexl <alexl> 1:3.3.1-23.mga5
+ Revision: 808176
- don't show warning window about development version

* Tue Nov 25 2014 alexl <alexl> 1:3.3.1-22.mga5
+ Revision: 799298
- deleted unused desktop.patch
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1:3.3.1-21.mga5
+ Revision: 747941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.3.1-20.mga5
+ Revision: 679942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:3.3.1-19.mga4
+ Revision: 505233
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:3.3.1-18.mga3
+ Revision: 352635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1:3.3.1-17.mga3
+ Revision: 321861
- fix rpm group

* Thu Mar 10 2011 ahmad <ahmad> 1:3.3.1-16.mga2
+ Revision: 67857
- imported package grip


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.3.1-15mdv2011.0
+ Revision: 619255
- the mass rebuild of 2010.0 packages

* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.3.1-14mdv2010.0
+ Revision: 455850
- rebuild for new curl SSL backend

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 1:3.3.1-13mdv2010.0
+ Revision: 384686
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 1:3.3.1-12mdv2010.0
+ Revision: 382165
- rebuild for new libvte

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 1:3.3.1-11mdv2009.1
+ Revision: 327049
- disable stupid id3lib again
- always use id3v2 in lame options

* Wed Jan 07 2009 Adam Williamson <awilliamson@mandriva.org> 1:3.3.1-10mdv2009.1
+ Revision: 326760
- enable id3lib support, there's really no reason not to that I can see
- add literal.patch: fix a string literal error
- rediff lame-flac-options.patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1:3.3.1-9mdv2009.0
+ Revision: 218421
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:3.3.1-9mdv2008.1
+ Revision: 178711
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 21 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.3.1-7mdv2008.0
+ Revision: 92088
- oops - fix icon directory creation
- rebuild for 2008
- don't package COPYING
- fd.o icons
- drop old menu, fix XDG menu (by dumping the included one and creating a new)
- new license policy
- spec clean


* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.3.1-6mdv2007.0
+ Revision: 86771
- Import grip

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3.1-6mdv2007.1
- rebuild for new curl

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:3.3.1-5mdv2007.0
- Rebuild

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 3.3.1-4mdv2007.0
- xdg menu

* Sat Jul 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.3.1-3mdv2007.0
- rebuild with new vte

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 3.3.1-2mdk
- rebuild against openssl-0.9.8

* Mon Jun 27 2005 Götz Waschk <waschk@mandriva.org> 3.3.1-1mdk
- update source 3
- drop patch 2
- New release 3.3.1

* Wed Apr 06 2005 Götz Waschk <waschk@linux-mandrake.com> 1:3.3.0-2mdk
- fix MDKSA-2005:066 (bug #15172)

* Mon Jan 31 2005 Götz Waschk <waschk@linux-mandrake.com> 3.3.0-1mdk
- update the german translation
- new version

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.0-6mdk 
- Rebuild with latest howl

* Mon Nov 15 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.0-5mdk
- fix menu entry

* Sun Nov 14 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.0-4mdk
- use the official icon (thanks to Peter Adolphs)

* Thu Jul 01 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.0-3mdk
- rebuild for new curl

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 3.2.0-2mdk
- Rebuild

* Wed Apr 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 3.2.0-1mdk
- New release 3.2.0

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 3.1.10-1mdk
- fix URL
- New release 3.1.10

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 3.1.9-1mdk
- requires curl instead of ghttp
- drop patch 2
- rediff patches 0,3
- new version

* Mon Dec 22 2003 Götz Waschk <waschk@linux-mandrake.com> 3.1.4-1mdk
- add spec file support for id3lib
- patch3: add tagging to the default lame and flac encoder options
- patch2: fix header location of our cdparanoia libs
- new version

